# libdar::simple_mask Class Reference
[API]

matches as done on shell command lines (see "man 7 glob") More...

`#include <mask.hpp>`

Inherits libdar::mask.

List of all members.

## Public Member Functions
| simple_mask (const std::string &wilde_card_expression, bool case_sensit)
| the constructor to use by libdar external programs
| simple_mask (const simple_mask &m)
| copy constructor
simple_mask & | operator= (const simple_mask &m)
| assignment operator
bool | is_covered (const std::string &expression) const
| inherited from the mask class
mask * | clone () const
| inherited from the mask class

## Detailed Description

matches as done on shell command lines (see "man 7 glob")

Definition at line 104 of file mask.hpp.

## Constructor & Destructor Documentation

libdar::simple_mask::simple_mask | ( | const std::string & | wilde_card_expression,
|  | bool | case_sensit |
| ) |  |  |

the constructor to use by libdar external programs

Parameters:

  `[in]` | wilde_card_expression | is the glob expression that defines the mask
  `[in]` | case_sensit | whether the mask is case sensitive or not

Referenced by clone().

The documentation for this class was generated from the following file:

- mask.hpp